List contacts
List contacts. See the OpenAPI-defined parameters, request body, and responses below.
GET
/ContactList contacts. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint retorna todos os contatos cadastrados.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
EnabledFilter | query | EnabledFilter | No | 0 = All; 1 = Enabled; 2 = Disabled | — |
Name | query | string | No | — | — |
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/Contact?EnabledFilter={EnabledFilter}&Name={Name}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Sucesso ao retornar os contatos | application/json · array<ContactDto> |
Example response (200):
[
{
"id": 0,
"firstName": "string",
"lastName": "string",
"fullName": "string",
"linkedInUrl": "string",
"title": "string",
"companyName": "string",
"accountId": 0,
"preferredUserId": 0,
"enabled": true,
"externalId": "string",
"primaryEmail": "string",
"primaryPhone": "string"
}
]
Data models
ContactDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
firstName | string | No | — | nullable |
lastName | string | No | — | nullable |
fullName | string | No | — | nullable |
linkedInUrl | string | No | — | nullable |
title | string | No | — | nullable |
companyName | string | No | — | nullable |
accountId | integer · int32 | No | — | — |
preferredUserId | integer · int32 | No | — | — |
enabled | boolean | No | — | — |
externalId | string | No | — | nullable |
primaryEmail | string | No | — | nullable |
primaryPhone | string | No | — | nullable |
EnabledFilter
0 = All; 1 = Enabled; 2 = Disabled
integer